<?php

namespace App\Models;

class BookingRoom extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'booking_room';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    public function roomPax()
    {
        return $this->hasMany('App\Models\BookingRoomPax', 'booking_room_id', 'id');
    }

    public function roomRateMapping()
    {
        return $this->hasOne('App\Models\PropertyRoomRateMapping','id', 'room_rate_mapping_id')->select();
    }

    public function propertyRoomBed()
    {
        return $this->hasOne('App\Models\PropertyRoomBed', 'id', 'property_room_bed_id')->select();
    }

    public function smokingFact()
    {
        return $this->hasOne('App\Models\PropertyFact', 'id', 'smoking_fact_id')->select();
    }


}
